=== debian/changelog ===
glosstex (0.4.dfsg.1-6) unstable; urgency=medium

  * Remove hand written post{inst,rm}, leave generation to tex-common.
  * texlive-binaries is pulled in by texlive-base.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 07 Apr 2025 22:44:11 +0200

glosstex (0.4.dfsg.1-5) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Tex Maintainers
    Closes: #1085267
  * Fix Homepage
  * Convert from cdbs to dh
  * Build-Depends: s/texlive-latex-base/texlive-latex-recommended/
    Closes: #1052914
  * Depends: s/texlive-base-bin/texlive-binaries/
    Closes: #1030066
  * Fix clean target
    Closes: #1044631
  * Add fake watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * d/copyright: DEP5
  * Patch: DEP3
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2025 17:54:28 +0100

glosstex (0.4.dfsg.1-4) unstable; urgency=low

  * debian/control:
    + Bump debhelper Build-Depends to >= 9~ (level 4 is going to be removed).
      Closes: #817482.
      - Update debian/compat accordingly.
    + Add Depends on ${misc:Depends}.
    + Bump Standards-Version to 3.9.8. No changes needed.
    + Update Homepage URL.
  * debian/copyright: Do not specify GPL symlink (lintian warning).
  * debian/source/format: Switch to quilt (simple-patchsys.mk is deprecated):
    + debian/control: Remove patchutils from Depends.
    + debian/rules: Remove include of this Makefile.
  * debian/doc-base:
    + Fix spelling error: latex => LaTeX (lintian warning).
    + Remove Apps/ from Section (lintian warning).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 10 Jun 2016 11:44:03 +0900

glosstex (0.4.dfsg.1-3) unstable; urgency=low

  * New email address.
  * debian/control*:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Move Homepage field to the source package (dpkg supports it now).
    + Replace tetex-bin by texlive-latex-base in Build-Depends.
    + Replace tetex-bin by texlive-base-bin in Depends.
    + Add missing Depends against texlive-base and texlive-latex-base.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Dec 2007 22:09:14 +0000

glosstex (0.4.dfsg.1-2) unstable; urgency=low

  * Add support for TeX Live by adding alternate depends to
    texlive-base-bin. Closes: #383244.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon,  2 Oct 2006 23:47:03 +0200

glosstex (0.4.dfsg.1-1) unstable; urgency=low

  * New maintainer. Closes: #354626.
  * Update policy version to 3.7.2. No changes needed.
  * Use cdbs to handle glosstex building (debian/rules).
  * Add Homepage field (debian/control*).
  * Fix FTBFS due to sys_errlist erroneous redeclaration
    (debian/patches/00_ftbfs_error.diff).
  * Generate glosstex.pdf for documentation instead of glosstex.dvi
    (debian/docs).
  * Add doc-base support for glosstex.pdf.
  * Remove bin/ directory which includes binaries without source.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 10 Jun 2006 19:20:38 +0200

glosstex (0.4-7) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#354626); set maintainer to Debian QA Group.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.

 -- Matej Vela <vela@debian.org>  Sun,  9 Apr 2006 22:14:11 +0200

glosstex (0.4-6) unstable; urgency=low

  * Run dh_installdeb in debian/rules. Closes: #353749.
  * Run mktexlsr in postinst and postrm.
  * Update policy version to 3.6.2.2. No changes necessary.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 23 Feb 2006 15:47:19 -0700

glosstex (0.4-5) unstable; urgency=low

  * Run mktexlsr at postinst. Closes: #312914.
  * Change textex-bin from a recommendation to a dependency.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 23 Aug 2005 14:17:46 -0700

glosstex (0.4-4) unstable; urgency=low

  * Update upstream's address.
  * Add an example glosstex configuration file.

 -- Shaun Jackman <sjackman@debian.org>  Wed, 30 Mar 2005 10:57:09 -0800

glosstex (0.4-3) unstable; urgency=low

  * Fix the manual page to show that options must come last (closes: #268150).

 -- Shaun Jackman <sjackman@debian.org>  Wed,  1 Sep 2004 08:51:10 -0700

glosstex (0.4-2) unstable; urgency=low

  * Modify the long description (closes: #259884).

 -- Shaun Jackman <sjackman@debian.org>  Tue, 20 Jul 2004 10:43:11 -0700

glosstex (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Shaun Jackman <sjackman@debian.org>  Fri, 25 Jun 2004 10:27:46 -0700
