=== debian/control ===
Source: glosstex
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>
Build-Depends: debhelper-compat (= 13),
	       texlive-latex-recommended,
	       ghostscript,
	       tex-common
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/tex-team/glosstex
Vcs-Git: https://salsa.debian.org/tex-team/glosstex.git
Homepage: https://ctan.org/pkg/glosstex
Rules-Requires-Root: no

Package: glosstex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texlive-base,
         texlive-latex-base
Suggests: doc-base
Description: prepare glossaries and lists of acronyms
 GlossTeX is a tool for the automatic preparation of glossaries, lists
 of  acronyms and  sorted  lists in  general  for use  with LaTeX  and
 MakeIndex.  GlossTeX combines the  functionality of  acronym, nomencl
 and GloTeX. Like GloTeX, it  uses the same format glossary definition
 files. GlossTeX can be used together with nomencl, nevertheless.
