=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with tex

override_dh_auto_clean:
	$(MAKE) proper

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc
	dvipdf glosstex.dvi
